## class fltk::End

### Class Hierarchy

    fltk::End

### Include Files

    #include <fltk/Group.h>

### Description

Since the constructor of all fltk::Widgets adds the new widget as a child of the "current" fltk::Group, this dummy class allows you to stop this in the constructor list of a class:

    class MyClass {
      fltk::Group group;
      fltk::Button button_in_group;
      fltk::End end;
      fltk::Button button_outside_group;
      MyClass();
    };

    MyClass::MyClass() :
      group(10,10,100,100),
      button_in_group(20,20,60,30), // constructor puts this in group
      end(),
      button_outside_group(10,120,60,30) // constructor puts this in group's parent
    {}

### Methods

- fltk::End

#### fltk::End::End

The constructor does fltk::Group::current()->end(). The only purpose of this class is to have the constructor do this.